-- ------------------------------------------------------------

{- |
   Module     : Yuuko.Text.XML.HXT.Arrow
   Copyright  : Copyright (C) 2006-2010 Uwe Schmidt
   License    : MIT

   Maintainer : Uwe Schmidt (uwe@fh-wedel.de)
   Stability  : stable
   Portability: portable

   The HXT arrow interface

   The application programming interface to the arrow modules of the Haskell XML Toolbox.
   This module exports all important arrows for input, output, parsing, validating and transforming XML.
   It also exports all basic datatypes and functions of the toolbox.

-}

-- ------------------------------------------------------------

module Yuuko.Text.XML.HXT.Arrow
    ( module Yuuko.Control.Arrow.ListArrows

    , module Yuuko.Text.XML.HXT.DOM.Interface

    , module Yuuko.Text.XML.HXT.Arrow.XmlArrow
    , module Yuuko.Text.XML.HXT.Arrow.XmlIOStateArrow
    , module Yuuko.Text.XML.HXT.Arrow.XPath

    , module Yuuko.Text.XML.HXT.Arrow.DocumentInput
    , module Yuuko.Text.XML.HXT.Arrow.DocumentOutput
    , module Yuuko.Text.XML.HXT.Arrow.Edit
    , module Yuuko.Text.XML.HXT.Arrow.GeneralEntitySubstitution
    , module Yuuko.Text.XML.HXT.Arrow.Namespace
    , module Yuuko.Text.XML.HXT.Arrow.ProcessDocument
    , module Yuuko.Text.XML.HXT.Arrow.ReadDocument
    , module Yuuko.Text.XML.HXT.Arrow.WriteDocument
    , module Yuuko.Text.XML.HXT.Arrow.Pickle

    , module Yuuko.Text.XML.HXT.Version
    )
where

import Yuuko.Control.Arrow.ListArrows			-- arrow classes

import Yuuko.Data.Atom ()				-- import this explicitly

import Yuuko.Text.XML.HXT.DOM.Interface
import Yuuko.Text.XML.HXT.Arrow.DocumentInput
import Yuuko.Text.XML.HXT.Arrow.DocumentOutput
import Yuuko.Text.XML.HXT.Arrow.Edit
import Yuuko.Text.XML.HXT.Arrow.GeneralEntitySubstitution
import Yuuko.Text.XML.HXT.Arrow.Namespace
import Yuuko.Text.XML.HXT.Arrow.Pickle
import Yuuko.Text.XML.HXT.Arrow.ProcessDocument
import Yuuko.Text.XML.HXT.Arrow.ReadDocument
import Yuuko.Text.XML.HXT.Arrow.WriteDocument
import Yuuko.Text.XML.HXT.Arrow.XmlArrow
import Yuuko.Text.XML.HXT.Arrow.XmlIOStateArrow
import Yuuko.Text.XML.HXT.Arrow.XmlRegex ()		-- import this explicitly
import Yuuko.Text.XML.HXT.Arrow.XPath

import Yuuko.Text.XML.HXT.Arrow.XPathSimple ()	-- import this explicitly

import Yuuko.Text.XML.HXT.Version

-- ------------------------------------------------------------
